<?php

namespace domain\Setting\SettingDetails\Admin\General;

use common\components\BulkMailer\BulkMailerInterface;
use domain\Setting\SettingDetails\AbstractSettingDetail;

class MailerAdminSetting extends AbstractSettingDetail
{
    public function __construct()
    {
        $this
            ->setName('mailer')
            ->setLabel("Mailer emails courants")
            ->setTypeString()
            ->setFormTypeSelect([
                'mailerFile' => 'Fichier (local)',
                'mailerSmtpAlwaysdata' => 'Alwaysdata (SMTP)',
                'mailerSmtpBrevo' => 'Brevo (SMTP)',
                'mailerApiMailjet' => 'Mailjet (API)',
            ]);
    }
}